### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-select/ecl-select.directive.ts`

### Extends

`ECLBaseDirective`

### Implements

`OnInit` `DoCheck`

### Metadata

Selector | `select[eclSelect]`

### Index

###### Methods

- getCssClasses

###### Inputs

- disabled
- eclSize
- isInvalid
- class
- e2eAttr

###### HostBindings

- attr.disabled
- class
- class.ecl-select--invalid

###### Accessors

- cssClasses
- isDisabled
- invalidState

### Constructor

`constructor(ngControl: NgControl, el: ElementRef, viewContainerRef: ViewContainerRef)`

Parameters :

Name | Type | Optional
ngControl | `NgControl` | No
el | `ElementRef` | No
viewContainerRef | `ViewContainerRef` | No

### Inputs

disabled
Type : `boolean`
Default value : `false`

eclSize
Type : `string`
Default value : `'m'`

isInvalid
Type : `boolean`
Default value : `false`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

attr.disabled
Type : `any`

class
Type : `any`

class.ecl-select--invalid
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

isDisabled
get `isDisabled()`

invalidState
get `invalidState()`

# results matching ""

# No results matching ""